# Description: A Python based docker that allows you to edit KPL color palettes.
# By Wolthera

# Importing the relevant dependancies:
import sys
from PyQt5.QtGui import *
from PyQt5.QtWidgets import *
from krita import * 

class Palette_Docker(DockWidget):
#Init the docker
  def __init__(self):
      super().__init__()
      # make base-widget and layout
      widget =  QWidget()
      layout = QVBoxLayout(self)
      widget.setLayout(layout)
      label = QLabel("Python Palette Docker", self)
      layout.addWidget(label)
      self.label = label            #This does nothing as far as I can tell...

      #Make a combobox and add palettes
      cb_palettes = QComboBox(self)
      allPalettes = Application.resources("palette")
      for palette in allPalettes:
        palette_name = palette      #palette.name() doesn't seem to exist??? How does this resources system work at all???
        cb_palettes.addItem(palette_name)

      layout.addWidget(cb_palettes) # add combobox to the layout
      self.setWidget(widget)        # add widget to the docker
      
  def canvasChanged(self, canvas):
      #this apparantly needs to be implemented no matter what???
      pass

#Add docker to the application :)
Application.addDockWidgetFactory(DockWidgetFactory("palette_docker", DockWidgetFactoryBase.DockRight, Palette_Docker))
